<?php
/**
 * Sophia After Dark manage the Customizer panels
 *
 * @package Sophia After Dark
 * @since 1.0.0
 */
add_action( 'customize_register', 'sophia_after_dark_customize_panels_register' );

/**
 * Add panels in the theme customizer
 * 
 */
function sophia_after_dark_customize_panels_register( $wp_customize ) {
	/**
	 * General Settings Panel
	 */
	$wp_customize->add_panel( 'sophia_after_dark_general_panel',
		array(
			'priority'          => 10,
			'capability'        => 'edit_theme_options',
			'theme_supports'    => '',
			'title'             => __( 'General Settings', 'sophia-after-dark' ),
		)
	);

	/**
	 * Header Settings Panel
	 */
	$wp_customize->add_panel( 'sophia_after_dark_header_panel',
		array(
			'priority'          => 15,
			'capability'        => 'edit_theme_options',
			'theme_supports'    => '',
			'title'             => __( 'Header Settings', 'sophia-after-dark' ),
		)
	);

	/**
	 * Front Settings Panel
	 */
	$wp_customize->add_panel( 'sophia_after_dark_front_section_panel',
		array(
			'priority'          => 20,
			'capability'        => 'edit_theme_options',
			'theme_supports'    => '',
			'title'             => __( 'Front Sections', 'sophia-after-dark' ),
		)
	);

	/**
	 * Design Settings Panel
	 */
	$wp_customize->add_panel( 'sophia_after_dark_design_panel',
		array(
			'priority'          => 35,
			'capability'        => 'edit_theme_options',
			'theme_supports'    => '',
			'title'             => __( 'Design Settings', 'sophia-after-dark' ),
		)
	);
	
	/**
	 * Additional Features Panel
	 */
	$wp_customize->add_panel( 'sophia_after_dark_additional_panel',
		array(
			'priority'          => 40,
			'capability'        => 'edit_theme_options',
			'theme_supports'    => '',
			'title'             => __( 'Additional Features', 'sophia-after-dark' ),
		)
	);

	/**
	 * Footer Settings Panel
	 */
	$wp_customize->add_panel( 'sophia_after_dark_footer_panel',
		array(
			'priority'          => 45,
			'capability'        => 'edit_theme_options',
			'theme_supports'    => '',
			'title'             => __( 'Footer Settings', 'sophia-after-dark' ),
		)
	);
}